## fo-expression

fo-expression —

## Synopsis

    struct      FoExpression;
    struct      FoExpressionClass;
    FoDatatype* fo_expression_new               (void);
    gchar*      fo_expression_get_value         (FoDatatype *expression);
    void        fo_expression_set_value         (FoDatatype *expression,
                                                 const gchar *new_value);

## Object Hierarchy

      GObject
       +----FoObject
             +----FoDatatype
                   +----FoExpression

## Properties

      "value"                gchararray           : Read / Write

## Description

## Details

### struct FoExpression

    struct FoExpression;

### struct FoExpressionClass

    struct FoExpressionClass;

### fo_expression_new ()

    FoDatatype* fo_expression_new               (void);

Creates a new FoExpression initialized to default value.

Returns : | the new FoExpression

### fo_expression_get_value ()

    gchar*      fo_expression_get_value         (FoDatatype *expression);

`expression` : |
Returns : |

### fo_expression_set_value ()

    void        fo_expression_set_value         (FoDatatype *expression,
                                                 const gchar *new_value);

`expression` : |
`new_value` : |

## Properties

"`value`" (gchararray : Read / Write) | Expression value.